Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.webservice
Class LocalFileReadMessage

    java.lang.Object
      com.stc.connector.batchadapter.webservice.LocalFileReadMessage

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class LocalFileReadMessage

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

This class is the PayloadMessage.

Constructor Summary
`LocalFileReadMessage()` Creates a new instance of LocalFileReadMessage

Method Summary
`LocalFileConfiguration` | `getConfiguration()` Gets the configuration.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restore (deserialize) this message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalFileReadMessage

    public LocalFileReadMessage()

  Creates a new instance of LocalFileReadMessage

Method Detail

### getConfiguration

    public LocalFileConfiguration getConfiguration()

  Gets the configuration.

  Returns:
    The configuration.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD